Subject: Re: Cisco SG16: Streams

From: Chip Sharp <[email-masked]>
Date: Fri, 4 Feb 2000 00:05:35 -0500

At 05:09 PM 2/2/00 -0500, Tom-PT Taylor wrote:
>
>
>The first issue appears to have been resolved by the new v14 text in 7.1.6.
>
Not quite - see below
>
>With respect to the second issue, we now have the means to delete a stream
>implicitly on a termination: by specifying Reserve=FALSE and empty Local
>and Remote descriptors.  This meets the spirit of what Chip is asking for
>by making stream creation and deletion symmetric.  Can we get rid of
>Mode=delete?
Actually, this particular piece seems fine the way it is.
>
>-----Original Message-----  From:  Chip Sharp
>[SMTP:[email-masked]]  Sent:  Tuesday, January 25, 2000 8:03
>PM  To:    [email-masked]  Subject:     Cisco SG16:
>Streams
>
>Section:        7.1.4, second
>paragraph  Category:       Technical  Issue:          The draft text
>specifies that "A stream is identified by a  StreamID", however there is
>no uniqueness requirement on the StreamID which  may lead to inconsistent
>behaviour.  Proposal:       Since terminations, and thereby streams, may
>be moved between  different context, it is recommended that StreamIDs are
>defined to be  unique within a MG.
>
>v13 Status:     OPEN. No new text.
v14: OPEN. No new text.

Section:       7.1.6 (Stream Descriptor), first two bullets in bullet list
Category:    Technical, Editorial
Issue no.:    14.1
Issue:          The draft text specifies that "if a streamID of an active
stream in the moved termination matches a streamID in the context it was
moved to, the associated stream remains active on that termination" and "if
a streamID of an active stream in the moved termination does not match any
streamID in the context it was moved to, the stream SHALL be set to
inactive". Both the text and underlying intention is unclear. The text
seems to imply that streamID's for streams in different contexts somehow
affect the semantics of those stream when there associated terminations are
moved between contexts, however that does not seem to make much sense. An
identifier is an identifer. This issue may be related to issue 12.4.
Proposal:     A clarification of these two items are needed.
Status:

>    Section:        7.1.7, third
> paragraph  Category:       Technical  Issue:          The draft text
> specifies that "Mode set to delete is used to remove  a stream from a
> termination". There is no mention of how to add a stream  which would
> seem logical to be able to if you can delete a
> stream.  Proposal:       It is recommended that text describing how
> streams are added is  included.
>
>v13 Status:             OPEN. No text added.
v14: CLOSED. Relevant text added in 7.1.6.

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------

---

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 4 Feb 2000 12:41:14 -0500

See comments below.

> -----Original Message-----
> From: Chip Sharp [mailto:[email-masked]]
> Sent: Friday, February 04, 2000 12:06 AM
> To: [email-masked]
> Subject: Re: Cisco SG16: Streams
>
>
This is the one that the new text addresses, I think your
notation here is incorrect, there is new text in V14.

> Proposal:     A clarification of these two items are needed.
Here I agree.  When I first thought about how to make the
change I had it as streamIDs equal and media equal.  If you,
for whatever reason, had, say stereo left as streamId=4, and
teletext as StreamId=5 in one context, and you moved a
termination from that context into one where teletext was 4 and
stereo left was 5, what do you expect to happen:
        MG knows what to do and changes the moved termination
                to be correct
        MG figures out that it is screwed up and generates an Error
        MG figures out that it is screwed up and disconnects streams
                on the moved termination
        MG can't figure out that it is screwed up and RTP streams
                get confused.
At the moment, I'm inclined to simply state: The MGC must ensure that
StreamIds are consistent for similar media types within the MG.
There is no protection against confusion when a termination is
moved between two contexts where a specific streamId is a different
type of media in the contexts.